Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
DIR Struct Reference

`#include <dir.h>`

## Data Fields
WCHAR * | start
WCHAR * | curr
long | size
long | nfiles
long | loc
struct direct | dirstr
char * | bits

## Detailed Description

Definition at line 18 of file dir.h.

## Field Documentation

## ◆ bits

char* DIR::bits

Definition at line 25 of file dir.h.

Referenced by rb_w32_closedir().

## ◆ curr

WCHAR* DIR::curr

Definition at line 20 of file dir.h.

Referenced by rb_w32_rewinddir(), and rb_w32_seekdir().

## ◆ dirstr

struct direct DIR::dirstr

Definition at line 24 of file dir.h.

Referenced by rb_w32_closedir().

## ◆ loc

long DIR::loc

Definition at line 23 of file dir.h.

Referenced by rb_w32_rewinddir(), rb_w32_seekdir(), and rb_w32_telldir().

## ◆ nfiles

long DIR::nfiles

Definition at line 22 of file dir.h.

## ◆ size

long DIR::size

Definition at line 21 of file dir.h.

## ◆ start

WCHAR* DIR::start

Definition at line 19 of file dir.h.

Referenced by rb_w32_closedir(), and rb_w32_rewinddir().

The documentation for this struct was generated from the following file:

- win32/dir.h